######################################################
#######      read delta files           #############
#######      2085, A1                   #############
####        filename= Read_dA8.R        ##############
######################################################


#################read in TA delta change###########################
fil_dA8t<- list.files("/home/bender/Data/Delta_change/TA_A_2085")
fil_dA8t      
setwd("/home/bender/Data/Delta_change/TA_A_2085")
l_dA8t<- lapply(fil_dA8t, function(x){read.table(x, skip=14, sep = ";", header=TRUE)})
l_dA8t<- lapply(l_dA8t, function(x){x<- x[,-12]})
fil_dA8t<- sub("CH2011_daily_local_A2_","",fil_dA8t)
names(l_dA8t)<-sub(".csv","", fil_dA8t)

##################read in PS delta change###########################
fil_dA8Pe<- list.files("/home/bender/Data/Delta_change/Prec_A_2085")
fil_dA8Pe     
setwd("/home/bender/Data/Delta_change/Prec_A_2085")
l_dA8Pe<- lapply(fil_dA8Pe, function(x){read.table(x, skip=14, sep = ";", header=TRUE)})
l_dA8Pe<- lapply(l_dA8Pe, function(x){x<- x[,-12]})
fil_dA8Pe<- sub("CH2011_daily_local_A2_","",fil_dA8Pe)
names(l_dA8Pe)<-sub(".csv","", fil_dA8Pe)

setwd("/home/bender/R/Data_Set/CH_input")

mod<-names(t[2:11])
tcc<- c(3,7,9,4,2,8,5,9,1,9)
pcc<- c(2,5,7,3,1,6,4,7,8,7)
m<-9
while(m<=length(list_met)){
  met<- list_met[[m]]
  
  t<- l_dA8t[[tcc[m]]]
  t_4<-rbind(t[1:57,],t[57:365,])
  t$Day.in.year<- t$Day.in.year-1
  t_4[1:57,1]<- t_4[1:57,1]-1
  
  p<- l_dA8Pe[[pcc[m]]]
  p_4<-rbind(p[1:57,],p[57:365,])
  p$Day.in.year<- p$Day.in.year-1
  p_4[1:57,1]<- p_4[1:57,1]-1
  
  met[,9:28]<-0
  names(met)[9:28]<- mod
  met_cc<- met[1,]
  
  i<-0
  #while(i<=100){
  while(i<=365){
    
    day<- subset(met, date$yday==i& is.element(date$year,c(105:107, 109:111,113:115)))
    dayS<- subset(met, date$yday==i& is.element(date$year,c(104,108,112,116)))
    names(day)[19:28]<- mod
    names(dayS)[19:28]<- mod
    j<-9
    k<-2
    while(j<=18){
      day[,j]<-day[,2]+ t[(i+1),k]
      day[,(j+10)]<-day[,2]+ p[(i+1),k]
      dayS[,j]<-dayS[,2]+ t_4[(i+1),k]
      dayS[,(j+10)]<-dayS[,2]+ p_4[(i+1),k]
      j<-j+1
      k<-k+1
    }
    met_cc<- rbind(met_cc,day, dayS)
    
    i<-i+1
  }
  met_cc<- met_cc[-1,]
  met_cc<- met_cc[order(met_cc$date),]
  met_cc$date<- met$date
  list_met[[m]]<- met_cc
  
  m<-m+1
}


#####   filename=write.data       ###############
#################################################


file1<-  "/home/bender/src/snowpack/doc/ClimateChange/In_met/2085/."
j<-1
k<-9
while(j<=10){
  pad<-sub("\\.",mod[j],file1)
  pad
  setwd(pad)
  
  m<-1
  while(m<=length(list_met)){
    write.table(list_met[[m]][,c(1,k,3:7,k+10)], file=met_fil[m], na="NA", row.names = FALSE, quote=FALSE,col.names = FALSE)  
    m<-m+1
  }
  k<-k+1
  j<-j+1
}












