######################################################
#######      read in met files           #############
####        filename= Read_met.R        ##############
######################################################

#met_fil<- list.files("/home/bender/src/snowpack/doc/Soils2/IN_met")
#met_fil<- met_fil[c(1,3:8,10,14:15)]
#met_fil
#setwd("/home/bender/src/snowpack/doc/Soils2/IN_met")

met_fil<- list.files("/home/bender/src/snowpack/doc/ClimateChange/In_met/RefPer")
met_fil<- met_fil[c(2,5,7,9,12,13)]
met_fil
setwd("/home/bender/src/snowpack/doc/ClimateChange/In_met/RefPer")
list_met<- lapply(met_fil, function(x) read.table(x, header=FALSE, na.strings="NA", skip=20))
list_met<- lapply(list_met, function(x){names(x)<- c("date", "TA", "RH", "TSS", "HS" ,"VW" , "OSWR", "PS");x})
list_met<- lapply(list_met, function(x){x$date<- strptime(x$date, format="%Y-%m-%dT%H:%M:%S");x})
names(list_met)<- sub("\\.smet","",met_fil)
list_met<- lapply(list_met, function(x){x[x==-999]=NA;x}) 
list_met<- lapply(list_met, function(x){x<- subset(x, date$year>103)})


list_he<- lapply(met_fil, function(x) read.table(x, header=FALSE, na.strings="NA", fill=TRUE, nrows = 45))
setwd("/home/bender/R/Data_Set/CH_input")
list_he<- lapply(list_he, function(x){x[,1]<- as.character(x[,1]);x})
list_he<- lapply(list_he, function(x){x[,2]<- as.character(x[,2]);x})
list_he<- lapply(list_he, function(x){x[,3]<- as.character(x[,3]);x})
list_he<- lapply(list_he, function(x)x<- x[c(1:13,17,21,25,29,33,37),])
list_he<- lapply(list_he, function(x){x[13,3]<- "time K - K m m/s  W/m2 kg/m2";x})
list_he<- lapply(list_he, function(x){x[14,3]<- "time air_temperature relative_humidity snow_surface_temperature height_of_snow wind_velocity outgoing_short_wave_radiation water_equivalent_precipitation_sum ";x})
list_he<- lapply(list_he, function(x){x[15,3]<- "0x000000 0x8324A4 0x50CBDB  0xFA72B7 0x000000 0x297E24  0xD99521 0x2431A4";x})
list_he<- lapply(list_he, function(x){x[16,3]<- "-999 253.15 0  253.15 0 0  150 0";x})
list_he<- lapply(list_he, function(x){x[17,3]<- "-999 283.15 1 283.15 3 30  400 20";x})
list_he<- lapply(list_he, function(x){x[18,3]<- "timestamp TA RH TSS HS VW  OSWR  PSUM";x})
list_he<- lapply(list_he, function(x){x[,4:28]<- "";x})
list_he<- lapply(list_he, function(x){names(x)<- c("date", "TA", "RH", "TSS", "HS" ,"VW" , "OSWR", "PS",mod,mod);x})
list_he<- lapply(list_he, function(x){x[,1]<- paste(x[,1], x[,2], sep=" ");x})
list_he<- lapply(list_he, function(x){x[,2]<- "";x})


test<- list_he[[1]]
list_he[[9]][12:19,]<- list_he[[8]][12:19,]
