###################################
### file to read in data ##########
#### filename= Read_data.R  #######
##################################


WFJ_old<- read.table("/local/bender/R/PlotsPaper/WFJ/WFJ_GT.dat", sep=",")
WFJ_old$date<- strptime(WFJ_old$date, format="%Y-%m-%d %H:%M:%S") #convert time
names(WFJ_old)[7:10]<- c("50mod", "30mod", "10mod","5mod")

uniq = which(duplicated(WFJ_old$date)==FALSE)
WFJ_old=WFJ_old[uniq,]

plot(WFJ_old$date, WFJ_old$G_0.1 , type="l")
lines(WFJ$date, WFJ$G_0.1, col=2)

plot(WFJ$date, WFJ$HS, type="l")
lines(WFJ$date, WFJ$HSmod/100, col=4)
lines(WFJ_old$date, WFJ_old$HSmod/100, col=3)



plot(WFJ_mod$date, WFJ$HS, type="l" )
lines(WFJ_old$date, WFJ_old$HS*100, type="l", lty=2, col=2)
lines(WFJ$date, WFJ$HSmod, col=4)
lines(WFJ$date, WFJ_old$HSmod, col="lightblue")

HS_mes<- round(mean(subset(WFJ, WFJ$HS>0)$HS),2)
HS_modN<- round(mean(subset(WFJ, WFJ$HSmod >0)$HSmod),2)
HS_modO<- round(mean(subset(WFJ_old, WFJ_old$HSmod >0)$HSmod),2)
HS_all<- c(HS_mes, HS_modN, HS_modO)
HS_all

gm<- colMeans(WFJ[,c(4,3,2,5)])
gm<- c(gm[1:3],0,gm[4])
gm<- rbind(gm, colMeans(WFJ_mod[,2:6]))
gm<- rbind(gm, colMeans(WFJ_old[,7:11]))


mean(WFJ$G_0.1)
plot(WFJ)

plot(WFJ$date, WFJ$GST, type="l")
lines(WFJ$date, WFJ_mod$`5mod`, col=gtmodcol, lwd=1.5, lty=1)
lines(WFJ_old$date, WFJ_old$X5mod, col=2, lwd=1.5, lty=1)


plot(WFJ$date, WFJ$G_0.1, type="l")
lines(WFJ$date, WFJ_mod$`10mod`, col=3)
plot(WFJ$date, WFJ_old$`10mod`, col=2)

plot(WFJ$date, WFJ$G_0.3, type="l")
lines(WFJ$date, WFJ_mod$`30mod`, col=3)
lines(WFJ$date, WFJ_old$`30mod`, col=2)

plot(WFJ$date, WFJ$G_0.5, type="l")
lines(WFJ$date, WFJ_mod$`50mod`, col=3)
lines(WFJ$date, WFJ_old$`50mod`, col=2)
lines(WFJ$date, WFJ$HSmod/100, col=5)
lines(WFJ$date, WFJ$HS, col=4)
