######################################################
#######      read delta files           #############
#######      2065, A1                   #############
####        filename= Read_dA6.R        ##############
######################################################


list_met<- lapply(list_met, function(x){x$date<- strptime(x$date, format = "%Y-%m-%dT%H:%M:%S");x})
m<-1
while(m<=length(list_met)){
 n<-length(list_met[[m]][,1])
  list_met[[m]]<- list_met[[m]][20:n,]
  m<-m+1
}


#################read in TA delta change###########################

fil_dA6t<- list.files("/home/bender/Data/DeltaChange2/TA_2060")
fil_dA6t<-fil_dA6t[1:5]  
#setwd("/home/bender/Data/Delta_change/TA_A_2065")
setwd("/home/bender/Data/DeltaChange2/TA_2060")
l_dA6t<- lapply(fil_dA6t, function(x){read.table(x, skip=14, sep = ";", header=TRUE)})
l_dA6t<- lapply(l_dA6t, function(x){x<- x[,-12]})
fil_dA6t<- sub("CH2011_daily_local_A2_","",fil_dA6t)
names(l_dA6t)<-sub(".csv","", fil_dA6t)

##################read in PS delta change###########################
#fil_dA6Pe<- list.files("/home/bender/Data/Delta_change/Prec_A_2065")
fil_dA6Pe<- list.files("/home/bender/Data/DeltaChange2/PR_2060")
fil_dA6Pe   <- fil_dA6Pe[1:5]  
fil_dA6Pe
#setwd("/home/bender/Data/Delta_change/Prec_A_2065")
setwd("/home/bender/Data/DeltaChange2/PR_2060")
l_dA6Pe<- lapply(fil_dA6Pe, function(x){read.table(x, skip=14, sep = ";", header=TRUE)})
l_dA6Pe<- lapply(l_dA6Pe, function(x){x<- x[,-12]})
fil_dA6Pe<- sub("CH2011_daily_local_A2_","",fil_dA6Pe)
names(l_dA6Pe)<-sub(".csv","", fil_dA6Pe)

setwd("/home/bender/R/Data_Set/CH_input")

mod<-names(t[2:11])
#tcc<- c(3,7,9,5,2,8,5,9,10,9)
#pcc<- c(2,5,7,3,1,6,4,7,8,7)
tcc<- c(4,2,3,1,5,5)
pcc<- c(4,2,3,1,5,5)
m<-1
while(m<=length(list_met)){
  met<- list_met[[m]]
  
  t<- l_dA6t[[tcc[m]]]
  t_4<-rbind(t[1:57,],t[57:365,])
  t$Day.in.year<- t$Day.in.year-1
  t_4[1:57,1]<- t_4[1:57,1]-1
  
  p<- l_dA6Pe[[pcc[m]]]
  p_4<-rbind(p[1:57,],p[57:365,])
  p$Day.in.year<- p$Day.in.year-1
  p_4[1:57,1]<- p_4[1:57,1]-1
  
  met[,9:28]<-0
  names(met)[9:28]<- mod
  met_cc<- met[1,]
  
  i<-0
  #while(i<=100){
  while(i<=365){
    
    day<- subset(met, date$yday==i& is.element(date$year,c(105:107, 109:111,113:115)))
    dayS<- subset(met, date$yday==i& is.element(date$year,c(104,108,112,116)))
    names(day)[19:28]<- mod
    names(dayS)[19:28]<- mod
    j<-9
    k<-2
    while(j<=18){
      day[,j]<-day[,2]+ t[(i+1),k]
      day[,(j+10)]<-day[,8]* p[(i+1),k]
      dayS[,j]<-dayS[,2]+ t_4[(i+1),k]
      dayS[,(j+10)]<-dayS[,8]* p_4[(i+1),k]
      j<-j+1
      k<-k+1
    }
    met_cc<- rbind(met_cc,day, dayS)
    
    i<-i+1
  }
  met_cc<- met_cc[-1,]
  met_cc<- met_cc[order(met_cc$date),]
  met_cc$date<- met$date
  list_met[[m]]<- met_cc
  
  m<-m+1
}


#####   filename=write.data       ###############
#################################################
list_met<- lapply(list_met, function(x){x$date<- as.character(x$date);x})
list_met<- lapply(list_met, function(x){x$date<-gsub(" ","T", x$date);x})

m<-1
while(m<=length(list_met)){
  list_met[[m]]<- rbind( list_he[[m]],list_met[[m]])
  m<-m+1
}


#file1<-  "/home/bender/src/snowpack/doc/ClimateChange/In_met/2060/."
file1<-  "/home/bender/Data/ClimateChange/2060n2/."
j<-1
 k<-9
while(j<=10){
  pad<-sub("\\.",mod[j],file1)
  pad
  setwd(pad)
 
  m<-1
  while(m<=length(list_met)){
    write.table(list_met[[m]][,c(1,k,3:7,k+10)], file=met_fil[m], na="NA", row.names = FALSE, quote=FALSE, col.names = FALSE)  
    m<-m+1
  }
  k<-k+1
  j<-j+1
}


# 2080 --------------------------------------------------------------------
 
 m<-1
 while(m<=length(list_met)){
   n<-length(list_met[[m]][,1])
   list_met[[m]]<- list_met[[m]][20:n,]
   m<-m+1
 }
  list_met<- lapply(list_met, function(x){x$date<- strptime(x$date, format = "%Y-%m-%dT%H:%M:%S");x})
 
 #################read in TA delta change###########################

 
 #fil_dA8t<- list.files("/home/bender/Data/Delta_change/TA_A_2085")
  fil_dA8t<- list.files("/home/bender/Data/DeltaChange2/TA_2085")
 fil_dA8t<- fil_dA8t[1:5]      
 fil_dA8t
 #setwd("/home/bender/Data/Delta_change/TA_A_2085")
 setwd("/home/bender/Data/DeltaChange2/TA_2085")
 l_dA8t<- lapply(fil_dA8t, function(x){read.table(x, skip=14, sep = ";", header=TRUE)})
 l_dA8t<- lapply(l_dA8t, function(x){x<- x[,-12]})
 fil_dA8t<- sub("CH2011_daily_local_A2_","",fil_dA8t)
 names(l_dA8t)<-sub(".csv","", fil_dA8t)
 
 ##################read in PS delta change###########################
 #fil_dA8Pe<- list.files("/home/bender/Data/Delta_change/Prec_A_2085")
 fil_dA8Pe<- list.files("/home/bender/Data/DeltaChange2/PR_2085")
 fil_dA8Pe<- fil_dA8Pe[1:5]
 fil_dA8Pe
 #setwd("/home/bender/Data/Delta_change/Prec_A_2085")
 setwd("/home/bender/Data/DeltaChange2/PR_2085")
 l_dA8Pe<- lapply(fil_dA8Pe, function(x){read.table(x, skip=14, sep = ";", header=TRUE)})
 l_dA8Pe<- lapply(l_dA8Pe, function(x){x<- x[,-12]})
 fil_dA8Pe<- sub("CH2011_daily_local_A2_","",fil_dA8Pe)
 names(l_dA8Pe)<-sub(".csv","", fil_dA8Pe)
 
 setwd("/home/bender/R/Data_Set/CH_input")
 
 mod<-names(t[2:11])
 #tcc<- c(3,7,9,5,2,8,5,9,10,9)
 #pcc<- c(2,5,7,3,1,6,4,7,8,7)
 tcc<- c(4,2,3,1,5,5)
 pcc<- c(4,2,3,1,5,5)
 m<-1
 while(m<=length(list_met)){
   met<- list_met[[m]]
   
   t<- l_dA8t[[tcc[m]]]
   t_4<-rbind(t[1:57,],t[57:365,])
   t$Day.in.year<- t$Day.in.year-1
   t_4[1:57,1]<- t_4[1:57,1]-1
   
   p<- l_dA8Pe[[pcc[m]]]
   p_4<-rbind(p[1:57,],p[57:365,])
   p$Day.in.year<- p$Day.in.year-1
   p_4[1:57,1]<- p_4[1:57,1]-1
   
   met[,9:28]<-0
   names(met)[9:28]<- mod
   met_cc<- met[1,]
   
   i<-0
   #while(i<=100){
   while(i<=365){
     
     day<- subset(met, date$yday==i& is.element(date$year,c(105:107, 109:111,113:115)))
     dayS<- subset(met, date$yday==i& is.element(date$year,c(104,108,112,116)))
     names(day)[19:28]<- mod
     names(dayS)[19:28]<- mod
     j<-9
     k<-2
     while(j<=18){
       day[,j]<-day[,2]+ t[(i+1),k]
       day[,(j+10)]<-day[,8]*p[(i+1),k]
       dayS[,j]<-dayS[,2]+ t_4[(i+1),k]
       dayS[,(j+10)]<-dayS[,8]* p_4[(i+1),k]
       j<-j+1
       k<-k+1
     }
     met_cc<- rbind(met_cc,day, dayS)
     
     i<-i+1
   }
   met_cc<- met_cc[-1,]
   met_cc<- met_cc[order(met_cc$date),]
   met_cc$date<- met$date
   list_met[[m]]<- met_cc
   
   m<-m+1
 }
 
 
 #####   filename=write.data 
 #################################################
 list_met<- lapply(list_met, function(x){x$date<- as.character(x$date);x})
 list_met<- lapply(list_met, function(x){x$date<-gsub(" ","T", x$date);x})
 
 

 m<-1
 while(m<=length(list_met)){
   n<-length(list_met[[1]][,1])
   list_met[[m]]<- rbind( list_he[[m]],list_met[[m]])
  # list_met[[m]]<- list_met[[m]][21:n,]
   m<-m+1
 }
 test<- list_met[[1]]
 
 #file1<-  "/home/bender/src/snowpack/doc/ClimateChange/In_met/2085/."
 file1<-  "/home/bender/Data/ClimateChange/2085n2/."
 j<-1
 k<-9
 while(j<=10){
   pad<-sub("\\.",mod[j],file1)
   pad
   setwd(pad)
   
   m<-1
   while(m<=length(list_met)){
     write.table(list_met[[m]][,c(1,k,3:7,k+10)], file=met_fil[m], na="NA", row.names = FALSE, quote=FALSE, col.names = FALSE)  
     m<-m+1
   }
   k<-k+1
   j<-j+1
 }
 
 











