
#########################################
###### evaluation of mean GT ###########
##### GT_Eval.r ########################
########################################



gm<- colMeans(WFJ[,c(4,3,2,5)])
gm<- c(gm[1:3],0,gm[4])
gm<- rbind(gm, colMeans(WFJ_mod[,2:6]))
gm<- rbind(gm, colMeans(WFJ[,7:11]))

row.names(gm)<- c("measured", "new", "old")


#######################create winter tables  
Wi_mes<- subset(WFJ, is.element(date$mon, c(09:11, 0:4)))
Wi_new<- subset(WFJ_mod, is.element(date$mon, c(09:11, 0:4)))


gm<- rbind(gm,colMeans(Wi_mes[,c(4,3,2,2,5)]))
gm<- rbind(gm, colMeans(Wi_new[,2:6]))
gm<- rbind(gm, colMeans(Wi_mes[,7:11]))

WFJ_t<- WFJ[450:1000,]
WFJ_mod_t<- WFJ_mod[450:1000,]

plot(WFJ_t$d, WFJ_t$GST, type="l",lwd=2)
lines(WFJ_t$date, WFJ_t$GSTmod, col=2)
lines(WFJ_mod_t$date, WFJ_mod_t$GSTmod, col=4)

plot(WFJ_t$d, WFJ_t$GST, type="l",lwd=2)
lines(WFJ_t$date, WFJ_t$`5mod` , col=2)
lines(WFJ_mod_t$date, WFJ_mod_t$`5mod` , col=4)

plot(1:1106, WFJ$GST, type="l",lwd=2)

lines(WFJ$date, WFJ$`5mod` , col=2)
lines(WFJ_mod$date, WFJ_mod$`5mod` , col=4)
lines(WFJ$date, WFJ$HS*10, col="grey")
lines(WFJ$date, WFJ$HSmod /10, col="lightblue")



plot(1:1106, WFJ$GST, type="l",lwd=2)

lines(1:1106, WFJ$`5mod` , col=2)
grid(100)
lines(WFJ_mod$date, WFJ_mod$`5mod` , col=4)
lines(WFJ$date, WFJ$HS*10, col="grey")
lines(WFJ$date, WFJ$HSmod /10, col="lightblue")
